Skip to main content
`Ctrl`+`K`

# KSPConvergedReasonViewFromOptions

Processes command line options to determine if/how a `KSPReason` is to be viewed.

## Synopsis

    #include "petscksp.h"
    #include "petscmat.h"
    PetscErrorCode KSPConvergedReasonViewFromOptions(KSP ksp)

Collective

## Input Parameter

- ksp - the `KSP` object

## Note

This is called automatically at the conclusion of `KSPSolve()` so is rarely called directly by user code.

## See Also

KSP: Linear System Solvers, `KSPConvergedReasonView()`, `KSPConvergedReasonViewSet()`

## Level

intermediate

## Location

src/ksp/ksp/interface/itfunc.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages